FileMaker Files
Copy and compress FileMaker file
Requires FileMaker Server 20.3 or later. This endpoint will copy and compress a FileMaker file to a specified target path. Accepts a single file or an array of files for batch processing.
Request Body
application/json
POST /otto/api/fm-file/copy-compress Request body
encryptionKey?string
Optional encryption key
force?boolean
Force overwrite existing file at target path
password?string
FileMaker password
username?string
FileMaker username
inPlace*boolean
Whether to compress the file in place
sourceFile*string
File name to compress in the FileMaker format
Response Body
application/json
application/json
curl -X POST "https://your.server.net/otto/api/fm-file/copy-compress" \ -H "Content-Type: application/json" \ -d '{ "password": "string", "username": "string", "inPlace": true, "sourceFile": "string" }'{
"messages": [
{
"code": 0,
"text": "ok"
}
],
"response": {}
}{
"messages": [
{
"code": 18011,
"text": "OttoFMS sample error"
}
],
"response": {}
}